<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Servicios Militares</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="Añadir servicio militar">
            <h:form id="formServicio">
                <p:growl id="mensaje"/>
                <h:panelGrid columns="2">
                    <p:outputLabel value="Codigo"/>
                    <p:inputText value="#{servicioController.servicio.codigo}" required="true"/>
                    <p:outputLabel value="Servicio"/>
                    <p:inputText value="#{servicioController.servicio.servicio}"/>
                    <p:outputLabel value="Descripcion"/>
                    <p:inputText value="#{servicioController.servicio.descripcion}"/>
                    <p:commandButton rendered="#{servicioController.servicio.codigo==null}" value="Enviar" actionListener="#{servicioController.insertar()}" update=":listaServicios,:formServicio,:formServicio:mensaje"/>
                    <p:commandButton rendered="#{servicioController.servicio.codigo!=null}" value="Actualizar" actionListener="#{servicioController.actualizar()}" update=":listaServicios,:formServicio,:formServicio:mensaje"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/>
        <p:fieldset legend="Lista de servicios militares">
        <h:form id="listaServicios">
            <p:dataTable value="#{servicioController.lista}" var="servicios" paginator="true" rows="5">
                <p:column headerText="Codigo">
                    <p:outputLabel value="#{servicios.codigo}"/>
                </p:column>
                <p:column headerText="Nombre servicio">
                    <p:outputLabel value="#{servicios.servicio}"/>
                </p:column>
                <p:column headerText="Descripcion">
                    <p:outputLabel value="#{servicios.descripcion}"/>
                </p:column>
                <p:column headerText="Acciones">
                    <p:commandButton value="Eliminar" action="#{servicioController.eliminar(servicios)}" update=":listaServicios"/>
                    <p:commandButton value="Editar" action="#{servicioController.consultarById(servicios)}" update=":formServicio"/>
                </p:column>
            </p:dataTable>
        </h:form>
            </p:fieldset>
    </h:body>
</html>

